# Class CIM_DeviceStatisticalInformation
extends CIM_StatisticalInformation

Statistical information associated with a LogicalDevice or one of its subclasses.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_DeviceStatisticalInformation

## Direct Known Subclasses

CIM_FCAdapterEventCounters
CIM_FibrePortEventCounters
CIM_LabelReaderStatInfo
CIM_MediaAccessStatInfo
CIM_PickerStatInfo

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistical information associated with a LogicalDevice or one of its subclasses.
UMLPackagePath | string | CIM::Core::Statistics
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
DeviceCreationClassName | string |
Description | string | The scoping Device's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_LogicalDevice.CreationClassName
DeviceID | string |
Description | string | The scoping Device's ID.
Key | boolean | true
MaxLen | uint32 | 64
Propagated | string | CIM_LogicalDevice.DeviceID
Name | string |
Description | string | The Name property, inherited from StatisticalInformation, serves as part of the object key.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
SystemCreationClassName | string |
Description | string | The scoping System's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_LogicalDevice.SystemCreationClassName
SystemName | string |
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_LogicalDevice.SystemName

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods